class Signature(object):
    """Secondary metabolite signature"""
    def __init__(self, name, _type, description, cutoff, path):
        self.name = name
        self.type = _type
        self.description = description
        self.cutoff = cutoff
        self.path = path

from antismash.generic_modules import (
        fullhmmer,
        genefinding,
        hmm_detection,
        clusterblast,
        subclusterblast,
    )

def check_prereqs(options):
    failure_msgs = []

    if options.fullhmmer:
        failure_msgs.extend(fullhmmer.check_prereqs(options))

    failure_msgs.extend(genefinding.check_prereqs(options))
    failure_msgs.extend(hmm_detection.check_prereqs())

    if options.clusterblast:
        failure_msgs.extend(clusterblast.check_prereqs(options))

    if options.subclusterblast:
        failure_msgs.extend(subclusterblast.check_prereqs(options))
    return failure_msgs
