import os
from setuptools import setup

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "antiSMASH",
    version = "1.9.0",
    author = "Marnix H. Medema, Kai Blin",
    author_email = "kai.blin@biotech.uni-tuebingen.de",
    description = ("An antibiotic and secondary metabolite analysis pipeline"),
    license = "AGPL",
    keywords = "secondary metabolites antibiotics",
    url = "http://antismash.secondarymetabolites.org/",
    packages=['antismash'],
    long_description=read('README'),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Scientific/Engineering :: Bio-Informatics",
        "License :: OSI Approved :: GNU Affero General Public License v3",
    ],
)
